/**
 * The file is used to to abstract away anything realated to the user interface.
 * The intent is that the only thing that would need to be re-written between 
 * the PC test software and the actual chess board is this module. 
*/

#include <SDL2/SDL.h>
#include <SDL2/SDL_video.h>

void ui_resize(SDL_Renderer *p_renderer, int w, int h);
void ui_redraw_board(SDL_Renderer *p_renderer);
void ui_click(SDL_Renderer *p_renderer, int x, int y);
void ui_init(SDL_Renderer *p_renderer);

